Subject: Re: I disagree Re: Landscape Designers

From: [email-masked] (RMMLA)
Date: 25 Feb 1996 06:43:13 -0500

In article <[email-masked]>, [email-masked]
(Zkrautski) writes:

>Here we go again.  Let's face it, landscaping is such a small, minute
part
>of what a landscape architect does, at least this one.  The time has
come,
>it has come indeed.  It is time for a name change.  Time to leave the
poor
>little ole bush planters and landscaper designers back in the dirt.

I guess this is one of the most narrow and elitist definitions of what we
as Landscape Architects do, that I have seen recently. "Landscape
Architecture" is a good broad term for a broad generalized profession with
many aspects.  It is indeed the architecture of the landscape and not some
narrow subset of that definition.